<?php
/**
* NULLポインタ例外
*
* [詳細]
* ・NULLであってはいけない引数にNULLが指定された
* ・想定外のNULLを検出した
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_NullPointerException extends charcoal_Exception
{
	public function __construct( $var_name = NULL, $message = NULL )
	{
		$msg = '';
		if ( $var_name ){
			$msg .= "[var name]$var_name";
		}
		if ( $message ){
			$msg .= "[message]$message";
		}

		parent::__construct( $msg );
	}

}
